curl --location --request GET 'https://api.xente.co/products/{id}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"message": "Product retrieved successfully",
"code": 0,
"data": {
"productId": "AIRTELDATABUNDLESUG",
"name": "Airtel",
"imageUri": "https://d1yjjnpx0p53s8.cloudfront.net/styles/logo-original-577x577/s3/112010/airtel-new_0.png?itok=xT0SIx0d",
"categoryId": "DATA",
"shortDescription": "Buy or sell data from Airtel Uganda",
"longDescription": "Buy or sell data from Airtel Uganda",
"countryCode": "256",
"currencyCode": "UGX",
"isActive": true,
"isExternal": true,
"sortOrder": 0,
"productRegex": "^((256|0)?((((200|(7(0|4|5)))(\\d{6}(\\d)?)))))$"
}
}
Products
Get a product
This endpoint gets product by id
GET
/
api
/
products
curl --location --request GET 'https://api.xente.co/products/{id}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"message": "Product retrieved successfully",
"code": 0,
"data": {
"productId": "AIRTELDATABUNDLESUG",
"name": "Airtel",
"imageUri": "https://d1yjjnpx0p53s8.cloudfront.net/styles/logo-original-577x577/s3/112010/airtel-new_0.png?itok=xT0SIx0d",
"categoryId": "DATA",
"shortDescription": "Buy or sell data from Airtel Uganda",
"longDescription": "Buy or sell data from Airtel Uganda",
"countryCode": "256",
"currencyCode": "UGX",
"isActive": true,
"isExternal": true,
"sortOrder": 0,
"productRegex": "^((256|0)?((((200|(7(0|4|5)))(\\d{6}(\\d)?)))))$"
}
}
Response
number
Indicates whether the call was successful. 1 if successful, error code if not.
object
The contents of the product
Show Toggle object
Show Toggle object
number
The unique id of the product
string
The name of the product
string
The image Url of the product
string
Short description of the product
string
Long description of the product
string
Status of the product
array
Product items of the product. Each item is an object with the following properties:
item_id(number): The unique ID of the itemitem_name(string): The name of the itemitem_description(string): Description of the itemitem_price(number): Price of the itemavailability(boolean): Availability status of the item
curl --location --request GET 'https://api.xente.co/products/{id}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"message": "Product retrieved successfully",
"code": 0,
"data": {
"productId": "AIRTELDATABUNDLESUG",
"name": "Airtel",
"imageUri": "https://d1yjjnpx0p53s8.cloudfront.net/styles/logo-original-577x577/s3/112010/airtel-new_0.png?itok=xT0SIx0d",
"categoryId": "DATA",
"shortDescription": "Buy or sell data from Airtel Uganda",
"longDescription": "Buy or sell data from Airtel Uganda",
"countryCode": "256",
"currencyCode": "UGX",
"isActive": true,
"isExternal": true,
"sortOrder": 0,
"productRegex": "^((256|0)?((((200|(7(0|4|5)))(\\d{6}(\\d)?)))))$"
}
}
⌘I